﻿using System.Collections.Generic;
using System.Collections.ObjectModel;

namespace IGPropertyGridTest
{
    public class Thing
    {
        public ObservableCollection<SubThing> SubThings { get; set; }
                
        public string Name { get; set; }
        public int Value { get; set; }
    }

    public class SubThing
    {
        public Table Table { get; set; }
        public Field Field { get; set; }
        public int Value { get; set; }
    }

    public class Table
    {
        public string Name { get; set; }
        public List<Field> Fields { get; set; }
    }

    public class Field
    {
        public string Name { get; set; }
    }

    public class MainWindowViewModel
    {
        public List<Table> Tables { get; set; } = new List<Table>()
        {
            new Table()
            {
                Name = "Products",
                Fields = new List<Field>()
                {
                    new Field() { Name = "ProductId" },
                    new Field() { Name = "Name" },
                    new Field() { Name = "Price" },
                }
            },
            new Table()
            {
                Name = "Customers",
                Fields = new List<Field>()
                {
                    new Field() { Name = "CustomerId" },
                    new Field() { Name = "FirstName" },
                    new Field() { Name = "LastName" },
                    new Field() { Name = "Age" },
                }
            },
            new Table()
            {
                Name = "Shops",
                Fields = new List<Field>()
                {
                    new Field() { Name = "ShopId" },
                    new Field() { Name = "Name" },
                    new Field() { Name = "Location" }
                }
            }

        };


        public Thing Thing { get; set; } = new Thing();

    }
}