﻿using System.Reflection;
using Infragistics.Controls.Editors;

namespace IGPropertyGridTest
{

    public static class PropertyGridItemExtensions
    {
        public static PropertyGridItem GetParentItem(this PropertyGridItem item)
        {
            return item.GetType().GetProperty("ParentItem", BindingFlags.Instance | BindingFlags.NonPublic)?.GetValue(item) as PropertyGridItem;
        }

        public static object GetParentObject(this PropertyGridItem item)
        {
            var parentItem = item.GetParentItem();
            if (parentItem is PropertyGridPropertyItem)
            {
                return ((PropertyGridPropertyItem)parentItem).Value;
            }
            else if (parentItem is PropertyGridCategoryItem)
            {
                return item.PropertyGrid.SelectedObject;
            }
            return null;
        }
    }
}